package com.steerinfo.meterwork.meterworkrailwaymetertime.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

@ApiModel(value="汽车衡计量时间")
public class MeterWorkRailwayMeterTime implements IBasePO<String> {
    /**
     * 汽车一次计量编号(ACTUAL_FIRST_NO,VARCHAR,55)
     */
    @ApiModelProperty(value="汽车一次计量编号",required=true)
    private String actualFirstNo;

    /**
     * 上秤时间(ENTER_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="上秤时间",required=false)
    private Date enterTime;

    /**
     * 重量稳定时间(STABLE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="重量稳定时间",required=false)
    private Date stableTime;

    /**
     * 按下确认按钮时间(CONFIRM_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="按下确认按钮时间",required=false)
    private Date confirmTime;

    /**
     * 计量完成时间(COMPLETE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="计量完成时间",required=false)
    private Date completeTime;

    /**
     * 下秤时间(LEAVE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="下秤时间",required=false)
    private Date leaveTime;

    /**
     * 总计量时间(TOTAL_SECONDS,DECIMAL,0)
     */
    @ApiModelProperty(value="总计量时间",required=false)
    private Short totalSeconds;

    /**
     * 上秤到判稳计量时间(ENTER_STABLE_SECONDS,DECIMAL,0)
     */
    @ApiModelProperty(value="上秤到判稳计量时间",required=false)
    private Short enterStableSeconds;

    /**
     * 判稳到按下确认按钮时间(STABLE_CONFIRM_SECONDS,DECIMAL,0)
     */
    @ApiModelProperty(value="判稳到按下确认按钮时间",required=false)
    private Short stableConfirmSeconds;

    /**
     * 按下确认按钮到计量完成时间(CONFIRM_COMPLETE_SECONDS,DECIMAL,0)
     */
    @ApiModelProperty(value="按下确认按钮到计量完成时间",required=false)
    private Short confirmCompleteSeconds;

    /**
     * 计量完成到下秤计量时间(COMPLETE_LEAVE_SECONDS,DECIMAL,0)
     */
    @ApiModelProperty(value="计量完成到下秤计量时间",required=false)
    private Short completeLeaveSeconds;

    /**
     * 状态（1：有效；0：无效）(VALUE_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="状态（1：有效；0：无效）",required=false)
    private String valueFlag;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=false)
    private String createManNo;

    /**
     * 创建人(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人",required=false)
    private String createManName;

    /**
     * 创建时间(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间",required=false)
    private Date createTime;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.actualFirstNo;
    }

    @Override
    public void setId(String actualFirstNo) {
        this.actualFirstNo = actualFirstNo == null ? null : actualFirstNo.trim();
    }

    public String getActualFirstNo() {
        return actualFirstNo;
    }

    public void setActualFirstNo(String actualFirstNo) {
        this.actualFirstNo = actualFirstNo == null ? null : actualFirstNo.trim();
    }

    public Date getEnterTime() {
        return enterTime;
    }

    public void setEnterTime(Date enterTime) {
        this.enterTime = enterTime;
    }

    public Date getStableTime() {
        return stableTime;
    }

    public void setStableTime(Date stableTime) {
        this.stableTime = stableTime;
    }

    public Date getConfirmTime() {
        return confirmTime;
    }

    public void setConfirmTime(Date confirmTime) {
        this.confirmTime = confirmTime;
    }

    public Date getCompleteTime() {
        return completeTime;
    }

    public void setCompleteTime(Date completeTime) {
        this.completeTime = completeTime;
    }

    public Date getLeaveTime() {
        return leaveTime;
    }

    public void setLeaveTime(Date leaveTime) {
        this.leaveTime = leaveTime;
    }

    public Short getTotalSeconds() {
        return totalSeconds;
    }

    public void setTotalSeconds(Short totalSeconds) {
        this.totalSeconds = totalSeconds;
    }

    public Short getEnterStableSeconds() {
        return enterStableSeconds;
    }

    public void setEnterStableSeconds(Short enterStableSeconds) {
        this.enterStableSeconds = enterStableSeconds;
    }

    public Short getStableConfirmSeconds() {
        return stableConfirmSeconds;
    }

    public void setStableConfirmSeconds(Short stableConfirmSeconds) {
        this.stableConfirmSeconds = stableConfirmSeconds;
    }

    public Short getConfirmCompleteSeconds() {
        return confirmCompleteSeconds;
    }

    public void setConfirmCompleteSeconds(Short confirmCompleteSeconds) {
        this.confirmCompleteSeconds = confirmCompleteSeconds;
    }

    public Short getCompleteLeaveSeconds() {
        return completeLeaveSeconds;
    }

    public void setCompleteLeaveSeconds(Short completeLeaveSeconds) {
        this.completeLeaveSeconds = completeLeaveSeconds;
    }

    public String getValueFlag() {
        return valueFlag;
    }

    public void setValueFlag(String valueFlag) {
        this.valueFlag = valueFlag == null ? null : valueFlag.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", actualFirstNo=").append(actualFirstNo);
        sb.append(", enterTime=").append(enterTime);
        sb.append(", stableTime=").append(stableTime);
        sb.append(", confirmTime=").append(confirmTime);
        sb.append(", completeTime=").append(completeTime);
        sb.append(", leaveTime=").append(leaveTime);
        sb.append(", totalSeconds=").append(totalSeconds);
        sb.append(", enterStableSeconds=").append(enterStableSeconds);
        sb.append(", stableConfirmSeconds=").append(stableConfirmSeconds);
        sb.append(", confirmCompleteSeconds=").append(confirmCompleteSeconds);
        sb.append(", completeLeaveSeconds=").append(completeLeaveSeconds);
        sb.append(", valueFlag=").append(valueFlag);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}